Subject: bug#12491: 24.2.50; `Info-insert-dir' should be able to not show msgs

From: "Drew Adams" <[email-masked]>
Date: Sat, 22 Sep 2012 19:25:20 -0700

> > `Info-insert-dir' is not an interactive function.  It can 
> > be called by any Lisp code that wants to insert an Info
> > directory.  Please provide an optional MSG arg (or a NOMSG)
> > arg, so that calling code can optionally not show the
> > message "Composing main Info directory...done".
> 
> There are many other messages that you might not want to see.
> Better than adding a new arg for all of them, maybe callers
> should let-bind a variable like `messages-buffer-max-lines' to nil
> that will avoid showing the message.

Thank works too, I suppose. 

But I think that as a general rule it is better for a function that can interact
with the user (e.g. display a message) to also provide reasonably for use
without such interaction, assuming such a use makes sense for it.

If there are "many other" such messages, are there also many other such
functions displaying them?  Perhaps they are all defective in this regard.  

Better to set good examples than proliferate bad ones.  I don't know whether the
functions you have in mind are in fact candidates for becoming better citizens.
But if they are, cleaning them up is the right approach.